wxWindowCreateEvent(3)

NAME
wxWindowCreateEvent - This event is sent just after the actual window associated with a wxWindow object has been created.

DESCRIPTION

Since it is derived from wxCommandEvent, the event propagates up the window hierarchy.

See:

    • Overview events

    • wxWindowDestroyEvent

This class is derived, and can use functions, from:

    • wxCommandEvent

    • wxEvent

wxWidgets docs: wxWindowCreateEvent

  Events

Use wxEvtHandler:connect/3 with wxWindowCreateEventType to subscribe to events of this type.

DATA TYPES

wxWindowCreate() :: #wxWindowCreate{}.
wxWindowCreateEvent() :: wx:wx_object().
wxWindowCreateEventType() :: create.

FUNCTIONS